Subject: Fwd: (ngtrans) diff-serv comments on transition mechanisms spec

From: Bob Fink <[email-masked]>
Date: Tue, 25 May 1999 15:49:00 -0700

NGtrans folk,

I consider the following change as editorial. If there are no reasonable
objections by next Monday, May 31, I will forward the revised Transition
Mechanism update (version -03 with this change)) to to our AD (Randy Bush).
At this point it will be processed as a revision to the current PS
Transition Mechanism (RFC1933) and moved on to DS as soon as possible
(those details I will work out with Randy as appropriate).

Thanks,

Bob

===
>Date: Mon, 24 May 1999 18:41:08 -0700 (PDT)
>From: Erik Nordmark <[email-masked]>
>Reply-To: Erik Nordmark <[email-masked]>
>Subject: (ngtrans) diff-serv comments on transition mechanisms  spec
>To: [email-masked]
>Cc: [email-masked], [email-masked], [email-masked],
>        [email-masked]
>
>
>I have suggested text to the transition mechanisms specification to
>point out to implementors that the TOS byte might be specified to behave
>differently when encapsulating and decapsulating packets.
>
>Since there isn't a Draft Standard specification (assuming transition
>mechanisms will go to DS which has been the intent) for diff-serv tunneling
>behavior (and the ECN bits are experimental) the text does not describe any 
>new behavior but it nothing but a flag that implementors should think
>about future changes in this area.
>
>The text is:
>3.5.  IPv4 Header Construction
>...
>        Type of Service:
>
>                0. [Note that work underway in the IETF is redefining
>                the Type of Service byte and as a result future RFCs
>                might define a different behavior for the ToS byte when
>                tunneling.]
>
>3.6.  Decapsulation
>...
>   When decapsulating the packet, the IPv6 header is not modified.  If
>   the packet is subsequently forwarded, its hop limit is decremented by
>   one.
>
>   The encapsulating IPv4 header is discarded.  [Note that work underway
>   in the IETF is redefining the Type of Service byte and as a result
>   future RFCs might define a different behavior for the ToS byte when
>   decapsulating a tunneled packet.]
>
>---
>
>Is the new text in brackets ok?
>
>   Erik
>